﻿//
// ColorsFlyout.xaml.cpp
// Implementation of the ColorsFlyout class
//

#include "pch.h"
#include "ColorsFlyout.xaml.h"

using namespace DrawIt;

using namespace Platform;
using namespace Windows::Foundation;
using namespace Windows::Foundation::Collections;
using namespace Windows::UI::Xaml;
using namespace Windows::UI::Xaml::Controls;
using namespace Windows::UI::Xaml::Controls::Primitives;
using namespace Windows::UI::Xaml::Data;
using namespace Windows::UI::Xaml::Input;
using namespace Windows::UI::Xaml::Media;
using namespace Windows::UI::Xaml::Navigation;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

ColorsFlyout::ColorsFlyout()
{
    InitializeComponent();
}

void ColorsFlyout::RedColorClicked(Object^ sender, RoutedEventArgs^ e)
{
    RedColorButtonClicked();
    Hide();
}

void ColorsFlyout::GreenColorClicked(Object^ sender, RoutedEventArgs^ e)
{
    GreenColorButtonClicked();
    Hide();
}

void ColorsFlyout::Hide()
{
    auto parent = dynamic_cast<Popup^>(this->Parent);
    if (parent != nullptr)
    {
        parent->IsOpen = false;
    }
}
