﻿//
// ColorsFlyout.xaml.h
// Declaration of the ColorsFlyout class
//

#pragma once

#include "ColorsFlyout.g.h"

namespace DrawIt
{
	public delegate void ColorButtonClickedHandler(void);

	[Windows::Foundation::Metadata::WebHostHidden]
	public ref class ColorsFlyout sealed
	{
	public:
		ColorsFlyout();

		event ColorButtonClickedHandler^ RedColorButtonClicked;
		event ColorButtonClickedHandler^ GreenColorButtonClicked;

	private:
		void RedColorClicked(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ e);
        void GreenColorClicked(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ e);

        void Hide();
	};
}
